Bug 1315598 - [GSS](6.4.z) JBoss Web misses a configuration interface for sessionIdLength
[GSS](6.4.z) JBoss Web misses a configuration interface for sessionIdLength
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web (Show other bugs)
6.4.6
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.8
Assigned To: Enrique Gonzalez Martinez
Radim Hatlapatka
:
Depends On:
Blocks: eap648-payload 1313271
  Show dependency treegraph
 
Reported: 2016-03-08 03:02 EST by Osamu Nagano
Modified: 2017-01-17 07:38 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 07:38:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch 7.5.x (1.01 KB, patch)
2016-03-16 05:02 EDT, Enrique Gonzalez Martinez
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 454893 None None None 2016-03-08 03:03 EST

  None (edit)
Description Osamu Nagano 2016-03-08 03:02:44 EST
In EAP 5 or Tomcat, sessionIdLength can be configured in <Manager> component of context.xml.
In EAP 7 or Undertow, session-id-length can be configured in undertow subsystem.
It is missed only in EAP 6 despite Manager MBean has setSessionIdLength() method.  Easier way to configure it is expected just like "org.apache.catalina.session.StandardManager.MAX_ACTIVE_SESSIONS" system property for maxActiveSessions.
Comment 2 Enrique Gonzalez Martinez 2016-03-16 05:02 EDT
Created attachment 1136935 [details]
patch 7.5.x

property added to setup session-id-length. org.apache.catalina.session.ManagerBase.SESSION_ID_LENGTH

no upstream required as this is supported through the jboss-web.xml configuration.
Comment 6 Michael Cada 2016-05-16 05:58:18 EDT
Verified with EAP 6.4.8.CP.CR2
Comment 7 Petr Penicka 2017-01-17 07:38:10 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.